#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtrs_iu_alloc, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_free, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_post_recv, "_gpl", "");
KSYMTAB_FUNC(rtrs_post_recv_empty, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_post_send, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_post_rdma_write_imm, "_gpl", "");
KSYMTAB_FUNC(rtrs_cq_qp_create, "_gpl", "");
KSYMTAB_FUNC(rtrs_cq_qp_destroy, "_gpl", "");
KSYMTAB_FUNC(rtrs_send_hb_ack, "_gpl", "");
KSYMTAB_FUNC(rtrs_init_hb, "_gpl", "");
KSYMTAB_FUNC(rtrs_start_hb, "_gpl", "");
KSYMTAB_FUNC(rtrs_stop_hb, "_gpl", "");
KSYMTAB_FUNC(sockaddr_to_str, "", "");
KSYMTAB_FUNC(rtrs_addr_to_str, "", "");
KSYMTAB_FUNC(rtrs_addr_to_sockaddr, "", "");
KSYMTAB_FUNC(rtrs_rdma_dev_pd_init, "", "");
KSYMTAB_FUNC(rtrs_rdma_dev_pd_deinit, "", "");
KSYMTAB_FUNC(rtrs_ib_dev_put, "", "");
KSYMTAB_FUNC(rtrs_ib_dev_find_or_add, "", "");

SYMBOL_CRC(rtrs_iu_alloc, 0xf898adbf, "_gpl");
SYMBOL_CRC(rtrs_iu_free, 0x3d297bf4, "_gpl");
SYMBOL_CRC(rtrs_iu_post_recv, 0x8fd2b38a, "_gpl");
SYMBOL_CRC(rtrs_post_recv_empty, 0x0078a761, "_gpl");
SYMBOL_CRC(rtrs_iu_post_send, 0x8d415efb, "_gpl");
SYMBOL_CRC(rtrs_iu_post_rdma_write_imm, 0x68fda514, "_gpl");
SYMBOL_CRC(rtrs_cq_qp_create, 0x9d3ced8c, "_gpl");
SYMBOL_CRC(rtrs_cq_qp_destroy, 0x66692390, "_gpl");
SYMBOL_CRC(rtrs_send_hb_ack, 0xe17ee383, "_gpl");
SYMBOL_CRC(rtrs_init_hb, 0xe2f64552, "_gpl");
SYMBOL_CRC(rtrs_start_hb, 0x845f03c3, "_gpl");
SYMBOL_CRC(rtrs_stop_hb, 0x6395448c, "_gpl");
SYMBOL_CRC(sockaddr_to_str, 0x5cc818a0, "");
SYMBOL_CRC(rtrs_addr_to_str, 0x8f6c7edf, "");
SYMBOL_CRC(rtrs_addr_to_sockaddr, 0xc28750dd, "");
SYMBOL_CRC(rtrs_rdma_dev_pd_init, 0x97d956ff, "");
SYMBOL_CRC(rtrs_rdma_dev_pd_deinit, 0x7a008dfb, "");
SYMBOL_CRC(rtrs_ib_dev_put, 0x99b9cc2b, "");
SYMBOL_CRC(rtrs_ib_dev_find_or_add, 0xfe7307f6, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x852ec9, "vmemmap" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x98de1c15, "snprintf" },
	{ 0x2ae25265, "__ib_alloc_pd" },
	{ 0x8ddd57b4, "dma_unmap_page_attrs" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x609bcd98, "in6_pton" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0x2fe5a7f0, "dev_driver_string" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x4cbde94d, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x78895fc8, "rdma_create_qp" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x833d56d6, "init_net" },
	{ 0xf0941419, "ib_cq_pool_put" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x85abc85f, "strncmp" },
	{ 0xb2db45e0, "__ib_alloc_cq" },
	{ 0xb7207307, "rdma_notify" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x61a8827, "inet_pton_with_scope" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4436ae15, "rdma_destroy_qp" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8ecfc299, "ib_cq_pool_get" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x20113bea, "ib_free_cq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7e303fdf, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x34e7fa38, "ib_dealloc_pd_user" },
	{ 0x349cba85, "strchr" },
	{ 0xec1b8474, "kmalloc_caches" },
	{ 0x37033dbd, "module_layout" },
};

MODULE_INFO(depends, "ib_core,rdma_cm");


MODULE_INFO(srcversion, "6EF3B56B00431814198B359");

MODULE_INFO(suserelease, "SLFO-1.2");
