#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xpcs_get_an_mode, "_gpl", "");
KSYMTAB_FUNC(xpcs_get_interfaces, "_gpl", "");
KSYMTAB_FUNC(xpcs_config_eee, "_gpl", "");
KSYMTAB_FUNC(xpcs_do_config, "_gpl", "");
KSYMTAB_FUNC(xpcs_link_up, "_gpl", "");
KSYMTAB_FUNC(xpcs_create_mdiodev, "_gpl", "");
KSYMTAB_FUNC(xpcs_create_fwnode, "_gpl", "");
KSYMTAB_FUNC(xpcs_destroy, "_gpl", "");

SYMBOL_CRC(xpcs_get_an_mode, 0x9c6a4f52, "_gpl");
SYMBOL_CRC(xpcs_get_interfaces, 0x19bd969d, "_gpl");
SYMBOL_CRC(xpcs_config_eee, 0x140b2488, "_gpl");
SYMBOL_CRC(xpcs_do_config, 0x5be569e1, "_gpl");
SYMBOL_CRC(xpcs_link_up, 0xc91ab124, "_gpl");
SYMBOL_CRC(xpcs_create_mdiodev, 0x45494437, "_gpl");
SYMBOL_CRC(xpcs_create_fwnode, 0x6f774fdc, "_gpl");
SYMBOL_CRC(xpcs_destroy, 0x1c62100c, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5d3afa, "mdiobus_c45_modify_changed" },
	{ 0x22a9eabf, "mdiobus_c45_read" },
	{ 0xd0c875a7, "devm_kmalloc" },
	{ 0xf43f463f, "platform_driver_unregister" },
	{ 0x98de1c15, "snprintf" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0xc8ad4615, "phylink_resolve_c73" },
	{ 0x37a0cba, "kfree" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xeb9d1110, "platform_get_resource_byname" },
	{ 0xd4b41f9e, "get_device" },
	{ 0xf8c8504e, "fwnode_mdio_find_device" },
	{ 0x8cd7a3c4, "devm_clk_get" },
	{ 0xad610875, "mdiobus_c45_write" },
	{ 0x2f82b3ed, "device_set_node" },
	{ 0x92997ed8, "_printk" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x940a6130, "device_property_read_u32_array" },
	{ 0xe6a9ec87, "mdio_device_register" },
	{ 0xef29fcdd, "clk_bulk_put" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x800473f, "__cond_resched" },
	{ 0x4fca1f04, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb3f310a5, "phylink_mii_c45_pcs_get_state" },
	{ 0x8080b5be, "mdio_device_create" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe14d12b0, "_dev_warn" },
	{ 0xd60b163a, "device_get_match_data" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xcb75d763, "fwnode_handle_get" },
	{ 0xc0632f95, "phylink_mii_c22_pcs_encode_advertisement" },
	{ 0xf5f0cc8a, "devm_mdiobus_alloc_size" },
	{ 0x7415be4e, "__platform_driver_register" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xc7c24439, "fwnode_device_is_available" },
	{ 0x859c9679, "devm_ioremap_resource" },
	{ 0x7e303fdf, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xdfd0d3c9, "clk_bulk_get_optional" },
	{ 0x8264c293, "phylink_mii_c22_pcs_decode_state" },
	{ 0x75dd1324, "__devm_mdiobus_register" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0x9e3da653, "dev_err_probe" },
	{ 0xfd3c6bb6, "mdio_device_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0xda77c67, "__dev_fwnode" },
	{ 0xec1b8474, "kmalloc_caches" },
	{ 0x37033dbd, "module_layout" },
};

MODULE_INFO(depends, "libphy,phylink,mdio_devres");

MODULE_ALIAS("of:N*T*Csnps,dw-xpcs");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcsC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen1-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen1-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-6g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-6gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-6g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-6gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-10g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-10gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-12g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-12gC*");

MODULE_INFO(srcversion, "5A0F79AC84E4E68CBAD6D03");

MODULE_INFO(suserelease, "SLFO-1.2");
