#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(tape_core_dbf, "", "");
KSYMTAB_FUNC(tape_generic_remove, "", "");
KSYMTAB_FUNC(tape_generic_probe, "", "");
KSYMTAB_FUNC(tape_generic_online, "", "");
KSYMTAB_FUNC(tape_generic_offline, "", "");
KSYMTAB_FUNC(tape_put_device, "", "");
KSYMTAB_FUNC(tape_get_device, "", "");
KSYMTAB_DATA(tape_state_verbose, "", "");
KSYMTAB_DATA(tape_op_verbose, "", "");
KSYMTAB_FUNC(tape_state_set, "", "");
KSYMTAB_FUNC(tape_med_state_set, "", "");
KSYMTAB_FUNC(tape_alloc_request, "", "");
KSYMTAB_FUNC(tape_free_request, "", "");
KSYMTAB_FUNC(tape_dump_sense_dbf, "", "");
KSYMTAB_FUNC(tape_do_io, "", "");
KSYMTAB_FUNC(tape_do_io_async, "", "");
KSYMTAB_FUNC(tape_do_io_interruptible, "", "");
KSYMTAB_FUNC(tape_cancel_io, "", "");
KSYMTAB_FUNC(tape_mtop, "", "");
KSYMTAB_FUNC(tape_std_assign, "", "");
KSYMTAB_FUNC(tape_std_unassign, "", "");
KSYMTAB_FUNC(tape_std_display, "", "");
KSYMTAB_FUNC(tape_std_read_block_id, "", "");
KSYMTAB_FUNC(tape_std_mtload, "", "");
KSYMTAB_FUNC(tape_std_mtsetblk, "", "");
KSYMTAB_FUNC(tape_std_mtreset, "", "");
KSYMTAB_FUNC(tape_std_mtfsf, "", "");
KSYMTAB_FUNC(tape_std_mtfsr, "", "");
KSYMTAB_FUNC(tape_std_mtbsr, "", "");
KSYMTAB_FUNC(tape_std_mtweof, "", "");
KSYMTAB_FUNC(tape_std_mtbsfm, "", "");
KSYMTAB_FUNC(tape_std_mtbsf, "", "");
KSYMTAB_FUNC(tape_std_mtfsfm, "", "");
KSYMTAB_FUNC(tape_std_mtrew, "", "");
KSYMTAB_FUNC(tape_std_mtoffl, "", "");
KSYMTAB_FUNC(tape_std_mtnop, "", "");
KSYMTAB_FUNC(tape_std_mteom, "", "");
KSYMTAB_FUNC(tape_std_mtreten, "", "");
KSYMTAB_FUNC(tape_std_mterase, "", "");
KSYMTAB_FUNC(tape_std_mtunload, "", "");
KSYMTAB_FUNC(tape_std_mtcompression, "", "");
KSYMTAB_FUNC(tape_std_read_block, "", "");
KSYMTAB_FUNC(tape_std_read_backward, "", "");
KSYMTAB_FUNC(tape_std_write_block, "", "");
KSYMTAB_FUNC(tape_std_process_eov, "", "");

SYMBOL_CRC(tape_core_dbf, 0x3f97ba5a, "");
SYMBOL_CRC(tape_generic_remove, 0xd6931b2a, "");
SYMBOL_CRC(tape_generic_probe, 0xa767b28b, "");
SYMBOL_CRC(tape_generic_online, 0xadbb24cd, "");
SYMBOL_CRC(tape_generic_offline, 0x0eee4d43, "");
SYMBOL_CRC(tape_put_device, 0x8c341fb0, "");
SYMBOL_CRC(tape_get_device, 0xba47b9f1, "");
SYMBOL_CRC(tape_state_verbose, 0x2546c415, "");
SYMBOL_CRC(tape_op_verbose, 0x66deb66c, "");
SYMBOL_CRC(tape_state_set, 0xfcc8d546, "");
SYMBOL_CRC(tape_med_state_set, 0x437c3562, "");
SYMBOL_CRC(tape_alloc_request, 0xdeb3f148, "");
SYMBOL_CRC(tape_free_request, 0xfcaa710c, "");
SYMBOL_CRC(tape_dump_sense_dbf, 0x78d8cc58, "");
SYMBOL_CRC(tape_do_io, 0x2c8e94c9, "");
SYMBOL_CRC(tape_do_io_async, 0x62709480, "");
SYMBOL_CRC(tape_do_io_interruptible, 0x2ec3c670, "");
SYMBOL_CRC(tape_cancel_io, 0xfcc28b59, "");
SYMBOL_CRC(tape_mtop, 0xef62f873, "");
SYMBOL_CRC(tape_std_assign, 0x6cab7a35, "");
SYMBOL_CRC(tape_std_unassign, 0xf1ad3b87, "");
SYMBOL_CRC(tape_std_display, 0x9fca9af5, "");
SYMBOL_CRC(tape_std_read_block_id, 0x272d254f, "");
SYMBOL_CRC(tape_std_mtload, 0xb72ff382, "");
SYMBOL_CRC(tape_std_mtsetblk, 0x7e219c78, "");
SYMBOL_CRC(tape_std_mtreset, 0xd7c0034d, "");
SYMBOL_CRC(tape_std_mtfsf, 0xc5dd8faa, "");
SYMBOL_CRC(tape_std_mtfsr, 0x34ad9429, "");
SYMBOL_CRC(tape_std_mtbsr, 0x74dfa538, "");
SYMBOL_CRC(tape_std_mtweof, 0x525fed3d, "");
SYMBOL_CRC(tape_std_mtbsfm, 0xb6b95d9b, "");
SYMBOL_CRC(tape_std_mtbsf, 0x85afbebb, "");
SYMBOL_CRC(tape_std_mtfsfm, 0xdc490f58, "");
SYMBOL_CRC(tape_std_mtrew, 0x2b833a19, "");
SYMBOL_CRC(tape_std_mtoffl, 0x8ebd2a24, "");
SYMBOL_CRC(tape_std_mtnop, 0x6ff36b2a, "");
SYMBOL_CRC(tape_std_mteom, 0xf41e7419, "");
SYMBOL_CRC(tape_std_mtreten, 0x057c5d28, "");
SYMBOL_CRC(tape_std_mterase, 0xfcadf8ca, "");
SYMBOL_CRC(tape_std_mtunload, 0x1a89bd5d, "");
SYMBOL_CRC(tape_std_mtcompression, 0x1134f321, "");
SYMBOL_CRC(tape_std_read_block, 0x4474f24e, "");
SYMBOL_CRC(tape_std_read_backward, 0x3f81a8ab, "");
SYMBOL_CRC(tape_std_write_block, 0xadaf5518, "");
SYMBOL_CRC(tape_std_process_eov, 0x1b547757, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8e5e17ab, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6d1a8099, "register_tape_dev" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x55c04302, "debug_set_level" },
	{ 0x8f0f3935, "debug_register" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xa6f5362b, "ccw_device_start" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xeece2f8f, "module_put" },
	{ 0x800473f, "__cond_resched" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0xea4e695, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x989b86fd, "ccw_device_get_id" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3339ddee, "sysfs_create_group" },
	{ 0xe226fd34, "__debug_sprintf_event" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x1592b157, "unregister_tape_dev" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x22a9027d, "ccw_device_clear" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xd264b542, "sysfs_remove_group" },
	{ 0xad684ec7, "debug_unregister" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbf0e2733, "remove_proc_entry" },
	{ 0x7e303fdf, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xfca90975, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xdeeaa5fd, "stream_open" },
	{ 0x5f554916, "ccw_device_set_options" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x9ffa447c, "debug_sprintf_view" },
	{ 0x23b2f888, "proc_create_seq_private" },
	{ 0xd163e345, "__debug_sprintf_exception" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xda865416, "debug_register_view" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xec1b8474, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x37033dbd, "module_layout" },
};

MODULE_INFO(depends, "tape_class");


MODULE_INFO(srcversion, "5A6B82DEDCA6B1EAAAF031D");

MODULE_INFO(suserelease, "SLFO-1.2");
