#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ctc_mpc_alloc_channel, "", "");
KSYMTAB_FUNC(ctc_mpc_establish_connectivity, "", "");
KSYMTAB_FUNC(ctc_mpc_dealloc_ch, "", "");
KSYMTAB_FUNC(ctc_mpc_flow_control, "", "");

SYMBOL_CRC(ctc_mpc_alloc_channel, 0x56f42138, "");
SYMBOL_CRC(ctc_mpc_establish_connectivity, 0x812fa936, "");
SYMBOL_CRC(ctc_mpc_dealloc_ch, 0x40b3051a, "");
SYMBOL_CRC(ctc_mpc_flow_control, 0xf5440dc6, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa6b43ce7, "ccw_device_halt" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0xe65cc01f, "skb_put" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x646270ce, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xfe1323b, "unregister_netdev" },
	{ 0xc645b1f4, "skb_dequeue" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x55c04302, "debug_set_level" },
	{ 0x8f0f3935, "debug_register" },
	{ 0x236c8c64, "memcpy" },
	{ 0xa6f5362b, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x78004cb6, "dev_kfree_skb_irq_reason" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xd4b41f9e, "get_device" },
	{ 0x331bbed3, "kfree_fsm" },
	{ 0x68d9f026, "__dev_get_by_name" },
	{ 0x46b5761d, "ccwgroup_create_dev" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf193cad1, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xd14c5094, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x417c1a4e, "put_device" },
	{ 0x5f565c7, "root_device_unregister" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x4edc24f7, "__alloc_skb" },
	{ 0xf1c78ec2, "_dev_info" },
	{ 0xa6346bc0, "skb_queue_tail" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x1170abd8, "netdev_refcnt_read" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xdf20006d, "fsm_settimer" },
	{ 0x2d8f3a9e, "ccwgroup_probe_ccwdev" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x4fca1f04, "_dev_err" },
	{ 0x833d56d6, "init_net" },
	{ 0xed07274f, "skb_pull" },
	{ 0xf80ac8f8, "__root_device_register" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x42b008a6, "skb_push" },
	{ 0xd1515ad, "ccwgroup_driver_register" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x58d30f0a, "register_netdev" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xe3c63abd, "free_netdev" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x2fbd4bb7, "netif_tx_wake_queue" },
	{ 0xab62b304, "fsm_addtimer" },
	{ 0xe14d12b0, "_dev_warn" },
	{ 0x1a21c754, "ccw_device_set_offline" },
	{ 0x6162289e, "ccw_driver_register" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xe5988588, "skb_dequeue_tail" },
	{ 0xeaeb190b, "netif_rx" },
	{ 0xe728fed7, "__netdev_alloc_skb" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x8b4d15b5, "debug_hex_ascii_view" },
	{ 0xad684ec7, "debug_unregister" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x4b8e1958, "ccwgroup_driver_unregister" },
	{ 0xf5e1a705, "ccwgroup_remove_ccwdev" },
	{ 0x7ff61b42, "debug_event_common" },
	{ 0xe8a7dd7d, "fsm_deltimer" },
	{ 0x7e303fdf, "__kmalloc_cache_noprof" },
	{ 0xcdd372bc, "ccw_device_set_online" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x312e1b73, "init_fsm" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xaefe8672, "fsm_getstate_str" },
	{ 0xf2bc3586, "dev_kfree_skb_any_reason" },
	{ 0xda865416, "debug_register_view" },
	{ 0x9315fb03, "ccw_driver_unregister" },
	{ 0xec1b8474, "kmalloc_caches" },
	{ 0x37033dbd, "module_layout" },
};

MODULE_INFO(depends, "fsm,ccwgroup");

MODULE_ALIAS("ccw:t3088m08dt*dm*");
MODULE_ALIAS("ccw:t3088m1Edt*dm*");
MODULE_ALIAS("ccw:t3088m1Fdt*dm*");

MODULE_INFO(srcversion, "CB6A7F6331245270523223F");

MODULE_INFO(suserelease, "SLFO-1.2");
