#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0xf24e79d8, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0xd9cc99d7, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xceaaac37, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x0635369a, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0xfc6999ef, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0xe767e655, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xa0047f52, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x384e7f1a, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x8b3a72a5, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x0aba344c, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0xed1f3120, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0xe8ab7bb9, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0xb95527ca, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x22ea234a, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x82c76745, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x6f188f8e, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0xb382a7f6, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x653c2e45, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0xddeabb27, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xeb0ab313, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0xe5b24a83, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x9f48b567, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x858dcce9, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x2bac7c4f, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x298588d9, "_gpl");
SYMBOL_CRC(print_tuple, 0xc630325c, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xae12f99c, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xfc28615b, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0x2d0be651, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0xf88a3ebb, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x96bd7620, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0xacaa4964, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x9e30fba1, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0xaabb9751, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x1dab46c7, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x376decd9, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xed873f54, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x7a4548e0, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x28dde67d, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0xe3c4c809, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0xe0d863a5, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0xab7daf6b, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0xdc2fb331, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0xfcf03daa, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x7a7e5eda, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x9f5d5f7b, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x5ac05b04, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0xeecc85fe, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x07152cdd, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0xf73c38b6, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xbe41714d, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x7be9eea7, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x5a1edc2f, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0xd452c6a5, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x42f7aee2, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x3b7cbfa0, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x7643026c, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0xed02913a, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x7105fd54, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x9c19669a, "_gpl");
SYMBOL_CRC(nf_confirm, 0xa3d9ca81, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0xd256cf97, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0xb8a54aad, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xde7e7fad, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x8805696d, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x1b58dcb1, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x1d365d70, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x2517a48e, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x1799e2f6, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x2d839c40, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x57a87abb, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x4d31893f, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xeebf3d60, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x177a8f04, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0xd679151d, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x2905d483, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0xfecbab1a, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x1ecadba4, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x5d216e43, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0xe668de0e, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x307ed479, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x5a6822e8, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x0e2fb1c8, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0xa59c864e, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0xc69cdd39, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0xbd3378a8, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x35049c91, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x9bd71515, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x131b3412, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0xfda36ec6, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2d631666, "__do_once_done" },
	{ 0x8e5e17ab, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x74603d65, "nf_defrag_ipv4_disable" },
	{ 0xdfab3617, "nf_ip6_checksum" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9136ef80, "proc_dou8vec_minmax" },
	{ 0x185a248c, "skb_copy_bits" },
	{ 0x90ce6476, "param_ops_uint" },
	{ 0xb77e5d1d, "proc_dointvec_jiffies" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xfb31a860, "nf_register_sockopt" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xda3e4cdb, "nfct_btf_struct_access" },
	{ 0xcd2727ec, "param_set_uint" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x4e9f07c8, "nf_defrag_ipv4_enable" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4faa93b7, "nf_ct_frag6_gather" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xd94d03c6, "get_net_ns_by_id" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92b109ee, "nf_ct_hook" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x7ca40175, "proc_create_net_data" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x58435019, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x1c4a23be, "register_net_sysctl_sz" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xbbdbdfca, "nf_unregister_sockopt" },
	{ 0x5803d153, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1685c495, "make_kuid" },
	{ 0x798cbdd6, "nf_defrag_ipv6_disable" },
	{ 0x1e4fa9c2, "ipv6_skip_exthdr" },
	{ 0x68815b6c, "nf_register_net_hooks" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xeece2f8f, "module_put" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x800473f, "__cond_resched" },
	{ 0x1ec48a6d, "nf_checksum" },
	{ 0x833d56d6, "init_net" },
	{ 0x87656247, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0xe90c9af0, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x28c68932, "kmem_cache_free" },
	{ 0xf63fbe07, "seq_putc" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0x7eba6b66, "nf_checksum_partial" },
	{ 0xa63f99fa, "skb_ensure_writable" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9f633f7b, "nf_unregister_net_hooks" },
	{ 0xa5701be8, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xd6710200, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xe2563c70, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xeee5114c, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6db1705a, "nf_log_packet" },
	{ 0xf6e78751, "make_kgid" },
	{ 0x6134b653, "nf_ip_checksum" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xd47d3f22, "__kmem_cache_create_args" },
	{ 0x48216e70, "register_btf_kfunc_id_set" },
	{ 0x2014a246, "__siphash_unaligned" },
	{ 0xebc10b0b, "nf_conn_btf_access_lock" },
	{ 0x103bafd6, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x254ad00e, "nla_policy_len" },
	{ 0x3655fb22, "__put_net" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xf0b28e31, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x67ac4a6d, "proc_set_user" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe4bc8256, "param_ops_bool" },
	{ 0x56aa4b68, "inet_proto_csum_replace4" },
	{ 0x6ef04a52, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbf0e2733, "remove_proc_entry" },
	{ 0x7e303fdf, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfca90975, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x49e770c8, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0x74a6214c, "proc_dointvec" },
	{ 0x9e6088f1, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x2a466c58, "unregister_net_sysctl_table" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x8bd8e331, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xf720c158, "pskb_trim_rcsum_slow" },
	{ 0x555ccb97, "up_read" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xec1b8474, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe635cdc8, "kmem_cache_destroy" },
	{ 0x678a0ee3, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x37033dbd, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6,libcrc32c");


MODULE_INFO(srcversion, "1A5F5B4348B78CA78945D25");

MODULE_INFO(suserelease, "SLFO-1.2");
