#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x4eea8536, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0xf04d156a, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x136a6a27, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x72fa3e5f, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0xe4ceb8ae, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcbd3bd05, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xceb78884, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x81d2ac, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x185a248c, "skb_copy_bits" },
	{ 0x7037c86c, "inet_unregister_protosw" },
	{ 0x3761d215, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x2b462fd1, "sock_wfree" },
	{ 0xe65cc01f, "skb_put" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0xe60f742, "__fl6_sock_lookup" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x51043a3f, "ip6_dst_hoplimit" },
	{ 0x646270ce, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x7ef7a788, "inet6_add_offload" },
	{ 0x2f8a4ff, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3c7da937, "inet6_bind" },
	{ 0xd3af979c, "memdup_user" },
	{ 0xa4625792, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x7254f537, "l3mdev_fib_table_by_index" },
	{ 0xd90ee088, "udp_sock_create4" },
	{ 0xc645b1f4, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xe58d73bf, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x5310c6c6, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x2be8714b, "skb_segment" },
	{ 0xd9a1aada, "trace_event_printf" },
	{ 0xc5866761, "__ip_dev_find" },
	{ 0x8a09c7c1, "udp_tunnel6_xmit_skb" },
	{ 0xa849ff6a, "sock_common_getsockopt" },
	{ 0xfc9239a8, "inet_bind" },
	{ 0x81204f7b, "sock_create" },
	{ 0x4e425626, "net_hotdata" },
	{ 0xd78b4854, "__kmalloc_node_track_caller_noprof" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x648ba5d7, "fd_install" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x4258f952, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xcc0f4c5, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x209ae34, "inet_register_protosw" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xa73ba074, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x2527c765, "security_sctp_assoc_established" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xb1e9933c, "bpf_trace_run2" },
	{ 0xcbe386b8, "sock_common_setsockopt" },
	{ 0x663c2a0c, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x56dbea7d, "ip_route_output_flow" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0x369f09a1, "__sk_mem_schedule" },
	{ 0xff14cac7, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x54abfa96, "sock_alloc_file" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x7ca40175, "proc_create_net_data" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x61c5fe9, "sk_error_report" },
	{ 0x58435019, "register_pernet_subsys" },
	{ 0x3c01b8f8, "put_cmsg" },
	{ 0x2500ffb4, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x1c4a23be, "register_net_sysctl_sz" },
	{ 0x5c50343e, "inet_sock_destruct" },
	{ 0x97ca4746, "crypto_destroy_tfm" },
	{ 0xba37ed1d, "sock_kmalloc" },
	{ 0x94f7b02e, "inet_sk_get_local_port_range" },
	{ 0x3bdcd6cc, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x91bad93e, "inet_getname" },
	{ 0x63deae62, "proto_unregister" },
	{ 0xc5d9aaed, "security_sctp_sk_clone" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xc72ea702, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x4edc24f7, "__alloc_skb" },
	{ 0xc94fdebf, "__genradix_ptr" },
	{ 0xa335af3e, "inet_release" },
	{ 0xdfe9bd2, "proto_register" },
	{ 0x77f6cf70, "skb_copy_expand" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x800473f, "__cond_resched" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x5cf447e1, "inet_ctl_sock_create" },
	{ 0xc18d035a, "inet_ioctl" },
	{ 0x73af098, "reuseport_add_sock" },
	{ 0x19b6e5c1, "reuseport_select_sock" },
	{ 0x956254ce, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x41297ca6, "sk_filter_trim_cap" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xe1bd245c, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xb74b46f7, "fput" },
	{ 0xd5d9e21f, "__traceiter_sk_data_ready" },
	{ 0x6d9be5a5, "inet_accept" },
	{ 0x833d56d6, "init_net" },
	{ 0x66a06088, "crypto_shash_setkey" },
	{ 0xed07274f, "skb_pull" },
	{ 0xd726112e, "inet_add_offload" },
	{ 0xe90c9af0, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xae4be9b6, "inet_add_protocol" },
	{ 0xe34737e6, "inet_shutdown" },
	{ 0xafdabce5, "sk_free" },
	{ 0x98b9205, "sock_wake_async" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf6ae96d3, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0xe821a009, "inet_del_offload" },
	{ 0x42b008a6, "skb_push" },
	{ 0x70eb83a6, "__ip_queue_xmit" },
	{ 0x28c68932, "kmem_cache_free" },
	{ 0xd44898a9, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x456b616, "proc_doulongvec_minmax" },
	{ 0xb75a098d, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0xb3d99865, "ns_capable" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xa5701be8, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x6896cf1d, "inet6_ioctl" },
	{ 0xacf87fcb, "skb_copy_datagram_iter" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0xe8241f93, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xd6710200, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xc893de5e, "ip6_dst_lookup_flow" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0xba9f1403, "sock_no_socketpair" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x5cf9f031, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xeee5114c, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x3dd92563, "sock_no_mmap" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x43c38426, "__pskb_pull_tail" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xd47d3f22, "__kmem_cache_create_args" },
	{ 0xb5b6b939, "setup_udp_tunnel_sock" },
	{ 0xabdbeff6, "udp_sock_create6" },
	{ 0x1c255490, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x45d82456, "sk_common_release" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xdafc8bec, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x7ed1b39c, "inet6_getname" },
	{ 0xf058c88d, "sock_i_ino" },
	{ 0xd312e27, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3035a917, "ip6_xmit" },
	{ 0xb9e8820b, "security_sctp_assoc_request" },
	{ 0x1bf30dbc, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7c24e239, "rhltable_init_noprof" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xf45abf38, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x25dc9854, "trace_event_buffer_reserve" },
	{ 0xf0b28e31, "__skb_checksum" },
	{ 0xa390e00a, "reuseport_alloc" },
	{ 0x357fec17, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0xad79aaf9, "inet6_release" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0x8d7e9ffb, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe4bc8256, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xa8e65e06, "ipv6_dup_options" },
	{ 0x6ef04a52, "seq_write" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7e303fdf, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3d77a6ca, "udp_tunnel_xmit_skb" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfca90975, "seq_printf" },
	{ 0x39c73545, "proc_create_net_single" },
	{ 0xafc91940, "skb_copy" },
	{ 0xfcc08642, "skb_clone" },
	{ 0xfe986ed6, "inet_sk_set_state" },
	{ 0x63902ec9, "dst_release" },
	{ 0x88582eba, "_copy_from_iter" },
	{ 0xea9dee57, "sock_release" },
	{ 0x1c68b673, "inet_recv_error" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x74a6214c, "proc_dointvec" },
	{ 0x9a424746, "sock_gettstamp" },
	{ 0x4e62c0c0, "security_sctp_bind_connect" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0x426b3c51, "_proc_mkdir" },
	{ 0x8abfa221, "sk_setup_caps" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xb53897fd, "send_sig" },
	{ 0x2a466c58, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x652806fe, "inet6_add_protocol" },
	{ 0x43f6f91a, "from_kuid_munged" },
	{ 0x7096cb7b, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0x2f50c5f4, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x716399b8, "ipv6_getsockopt" },
	{ 0x75b346d3, "reuseport_detach_sock" },
	{ 0x581a0402, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x883ed67, "iov_iter_revert" },
	{ 0x66b968f6, "__s390_indirect_jump_r2" },
	{ 0xcd976dea, "crypto_alloc_shash" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x30563aa2, "sock_init_data" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xec1b8474, "kmalloc_caches" },
	{ 0xe635cdc8, "kmem_cache_destroy" },
	{ 0x678a0ee3, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x286dd66a, "skb_queue_head" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0x37033dbd, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "A1316A29DE58022555E7BE5");

MODULE_INFO(suserelease, "SLFO-1.2");
