#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0xbf6db665, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0xb56989e5, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0xf15f5bf3, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x5917f61e, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x2b769e5d, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x0e7faaf7, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0xae43896e, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0xc499b0cd, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0xa9b9aa95, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x1a5082c3, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0x49c9242a, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x53fa0e78, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0xebac90fc, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0xfb51baa5, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0xbc8b86e2, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0xab4a2f12, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0xb1fd6d59, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x1750ec8d, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x4b45129d, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0x38d6babe, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x4e333af4, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0xce3d4a9f, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0xc30eddda, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x25e1a266, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0xd51e745c, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0xe217d6b7, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x5292e5c6, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0xcfced309, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0x15e79a40, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0xb8b38331, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0xc060d9e9, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x3cbfa408, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x142592de, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x59a7c459, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x7a970c8d, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0x7116ccc9, "");
SYMBOL_CRC(mlx4_test_async, 0xd2b8acd0, "");
SYMBOL_CRC(mlx4_test_interrupt, 0xa44890cd, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x4eb9a6b7, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0xf68753f0, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0xa84ae947, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0xc4922977, "");
SYMBOL_CRC(mlx4_assign_eq, 0x2c8e5b85, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x8e9e5d66, "");
SYMBOL_CRC(mlx4_release_eq, 0x5775b404, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0xa9ddadd8, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0xc9efe1ae, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0x291005a5, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0xf60de430, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x5ec2db60, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0xae7a0d06, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x6d15de4a, "");
SYMBOL_CRC(mlx4_wol_read, 0x63e1fb30, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0xd786eb38, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x1fac40b7, "_gpl");
SYMBOL_CRC(get_phv_bit, 0x9612589c, "");
SYMBOL_CRC(set_phv_bit, 0x72288f4a, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0xbac96cd5, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0xa352665b, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0x57a8402f, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0x4e68f290, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0xa865a0db, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0xdca6867c, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x3578e861, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x900dd8ed, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0xfbf741e2, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0xe75ddc11, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0xafdd4e5f, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x8158b5f9, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0x757a40ae, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0xb55f9063, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0xde81be55, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0x3ef68948, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x7ba432e7, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x8d78edab, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0xf99ea00d, "");
SYMBOL_CRC(mlx4_read_clock, 0x9d0aca75, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0x28a985c5, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0xccb00bcb, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x2cb5a398, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x25c0ddc6, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x60ed0c6e, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0xe754bead, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0x1e0524b3, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x905cd45d, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0xe26ff7e2, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x2c8f24e3, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0xd375c8e6, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x357df1b5, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x9f562465, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0xc9710601, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x6f3d84dd, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x4c72c8b8, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0x40c669a7, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x2e5013a9, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x2340d42e, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x45c8b62b, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0xff203ea1, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0xb3ebb6c5, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0xfe3bb28f, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0x72d98244, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0xeafcf354, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x3f4192f8, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x51ec5d92, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x61979f64, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x84981d54, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0xc01d0e00, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0x7f7db9c9, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0x6b8af464, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x0c34429e, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0xbaa31e51, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x9eb761d0, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x0b00e7a5, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x182be532, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0xd301fc63, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x14c129f6, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0xe2ffef8e, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0xe6d97e17, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0x92bae53c, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0x724566d1, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0x972b0e45, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x2f652d3f, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0xf7d01913, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0x5cb5e116, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0xf80cba9a, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x98a6f7cd, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0xbe792950, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0xbb4ba221, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x5a685bbc, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x8ca8ba58, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x58e87eff, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x38c966e6, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0xcc3c2a39, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0xc0fc4bfd, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x6a40382c, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x5335e134, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0xe05f2597, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x87eccea1, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x03302e35, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x55fd175e, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0xf0214577, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0xd2908b25, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0x0fe65a57, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x6abcd991, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x6d3b63d7, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x56342a73, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0xf14f9231, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0xfd913532, "");
SYMBOL_CRC(mlx4_get_module_info, 0xbe90d44b, "");
SYMBOL_CRC(mlx4_max_tc, 0xdb41d776, "");
SYMBOL_CRC(mlx4_put_qp, 0x18f820ab, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0xedd9bf7b, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x5a009939, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x57c06932, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x932bb354, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0xd6e7c91e, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x16e6b705, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0xe3729eb1, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0xcb1e61a3, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0xcc9a1ca5, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0xefb2939a, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x344b51f2, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0xa1c07b1b, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x3ca9497b, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0xf75fe90d, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x62d00e06, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x454ba42a, "pcie_capability_write_word" },
	{ 0x852ec9, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd315f3d5, "devl_region_create" },
	{ 0xb0198be4, "devlink_unregister" },
	{ 0xdce7bcc4, "dma_pool_create" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x1c139ed0, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xbe0a08d3, "auxiliary_device_init" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1d301452, "devlink_region_snapshot_id_get" },
	{ 0x573df179, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x7d51107d, "__pci_register_driver" },
	{ 0xd566933c, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0xc582a4d7, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x23d35fff, "param_array_ops" },
	{ 0x1403513, "pci_request_regions" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb2288d25, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa0450a90, "pci_sriov_get_totalvfs" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xae2a5905, "devlink_register" },
	{ 0xb3a1c803, "devlink_port_type_clear" },
	{ 0x90108398, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x507f7dcd, "param_ops_byte" },
	{ 0xd4b41f9e, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x49672828, "node_states" },
	{ 0x207b4851, "pci_unregister_driver" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x470018ab, "pci_read_config_dword" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x9cc61b84, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xa64a7e22, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x8b67ed7e, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x5f0f285d, "priv_to_devlink" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x417c1a4e, "put_device" },
	{ 0x5f6eb5a4, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xe64d0dde, "__free_pages" },
	{ 0xf1c78ec2, "_dev_info" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x800473f, "__cond_resched" },
	{ 0x68daa74, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0x4f121bf2, "__dma_sync_single_for_cpu" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xc78dfefd, "__irq_apply_affinity_hint" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x4fca1f04, "_dev_err" },
	{ 0x833d56d6, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0xac3300, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x81b433f2, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x43d5414c, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xb0b84fa8, "dma_alloc_attrs" },
	{ 0x17d44ca2, "pci_read_config_word" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x17a0f228, "devl_params_register" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x953b1461, "pci_restore_state" },
	{ 0x43cb79f0, "device_del" },
	{ 0xfe1821c, "devl_param_driverinit_value_set" },
	{ 0xe14d12b0, "_dev_warn" },
	{ 0x1fb3a2ae, "__kmalloc_cache_node_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0x9aafb4a0, "pci_set_master" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0x14dd8322, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x103bafd6, "down_read" },
	{ 0x76501820, "devl_unlock" },
	{ 0xe798236d, "jiffies" },
	{ 0x2d1fa98d, "dma_set_coherent_mask" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x75869b24, "dma_free_attrs" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe4bc8256, "param_ops_bool" },
	{ 0x7b4b15f7, "pci_release_regions" },
	{ 0x8c5b6d7c, "__dma_sync_single_for_device" },
	{ 0x2975f616, "devl_assert_locked" },
	{ 0xd20fe8b2, "pcie_print_link_status" },
	{ 0x5eb12ea2, "devl_port_unregister" },
	{ 0xf77f1c8, "devl_param_driverinit_value_get" },
	{ 0x7e303fdf, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6f54197, "devlink_priv" },
	{ 0x1a295430, "pci_disable_sriov" },
	{ 0x44552479, "pci_disable_msix" },
	{ 0xbbf8cab0, "alloc_pages_noprof" },
	{ 0x4f748508, "pci_disable_device" },
	{ 0x180d31b3, "dma_set_mask" },
	{ 0x8ec92c7e, "__auxiliary_driver_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xa75a3829, "dma_unmap_sg_attrs" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xbdb8069d, "param_ops_int" },
	{ 0xa542ee34, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x1bc1957, "pci_enable_sriov" },
	{ 0x555ccb97, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe07d8187, "pci_write_config_dword" },
	{ 0xec1b8474, "kmalloc_caches" },
	{ 0x4ea9ed95, "device_remove_file" },
	{ 0x1766bad2, "dma_map_sg_attrs" },
	{ 0xbf00361f, "devl_param_value_changed" },
	{ 0x37033dbd, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0A383BFD6B45E98B144266E");

MODULE_INFO(suserelease, "SLFO-1.2");
