#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xfbdd7d4c, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x109e328d, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x85795ab0, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x895b011a, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0xf8113ddc, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2d631666, "__do_once_done" },
	{ 0xfdaa8d67, "ip6_route_input_lookup" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x3dfc368a, "dev_pre_changeaddr_notify" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x87fa2d1e, "dev_mc_sync" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xee348852, "netdev_is_rx_handler_busy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe42919, "netdev_update_features" },
	{ 0x646270ce, "consume_skb" },
	{ 0x3bad24a7, "ip6_local_out" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xa176c5d2, "dev_uc_sync" },
	{ 0x54aa2a52, "rtnl_link_register" },
	{ 0x1e24769, "netif_inherit_tso_max" },
	{ 0x1547f3d6, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x56dbea7d, "ip_route_output_flow" },
	{ 0xf1957df9, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x7fece750, "dev_uc_unsync" },
	{ 0xdc6eb790, "ether_setup" },
	{ 0x7029b8e0, "netdev_err" },
	{ 0x2f710aef, "netdev_upper_dev_link" },
	{ 0x58435019, "register_pernet_subsys" },
	{ 0xf4124519, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x9e1d05, "eth_header_parse" },
	{ 0x6d4cb969, "netdev_rx_handler_unregister" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x919ecdf2, "eth_header_cache_update" },
	{ 0x68815b6c, "nf_register_net_hooks" },
	{ 0x7925f2f8, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x745f4921, "ip_route_input_noref" },
	{ 0x800473f, "__cond_resched" },
	{ 0xc61bbfb7, "__dev_get_by_index" },
	{ 0x12a0bba1, "rtnl_link_unregister" },
	{ 0xed07274f, "skb_pull" },
	{ 0xe90c9af0, "sk_skb_reason_drop" },
	{ 0x61ca7eda, "netif_stacked_transfer_operstate" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc3dbbdfc, "netdev_upper_dev_unlink" },
	{ 0xff182e8, "nla_put" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb3d99865, "ns_capable" },
	{ 0x9f633f7b, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x59d36069, "ethtool_op_get_link" },
	{ 0x7ecc84bc, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xd6710200, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x43c38426, "__pskb_pull_tail" },
	{ 0xeaeb190b, "netif_rx" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x99504d10, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xa11a38e3, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x283b8c85, "vlan_vid_add" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xb440bec4, "call_netdevice_notifiers" },
	{ 0x5be8ff53, "vlan_vid_del" },
	{ 0x7d2ca3e4, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7e303fdf, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xfcc08642, "skb_clone" },
	{ 0x63902ec9, "dst_release" },
	{ 0xf85b00a7, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x567e3f81, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x6444f1e9, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xb67233d4, "dev_mc_unsync" },
	{ 0x9ddc63f8, "dev_change_flags" },
	{ 0xc9e8a8fd, "netdev_core_stats_inc" },
	{ 0xc3e5be54, "dev_forward_skb" },
	{ 0xec1b8474, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x23ba5600, "register_netdevice" },
	{ 0x37033dbd, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1CEF55F172038B8B4F880C7");

MODULE_INFO(suserelease, "SLFO-1.2");
