#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x3326112d, "");
SYMBOL_CRC(sas_remove_host, 0x5f4d8945, "");
SYMBOL_CRC(sas_get_address, 0x09f5c246, "");
SYMBOL_CRC(sas_tlr_supported, 0xfba77636, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x4433ba29, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0xa9a95e9d, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x8b489f1b, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0x1a31cf41, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x2bd1bc4d, "");
SYMBOL_CRC(sas_phy_add, 0x8fb23eb3, "");
SYMBOL_CRC(sas_phy_free, 0xcfd32646, "");
SYMBOL_CRC(sas_phy_delete, 0x4a5c14b3, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x13c1a520, "");
SYMBOL_CRC(sas_port_alloc, 0xe57b6a39, "");
SYMBOL_CRC(sas_port_alloc_num, 0x722496c3, "");
SYMBOL_CRC(sas_port_add, 0xc7107ede, "");
SYMBOL_CRC(sas_port_free, 0x229fe027, "");
SYMBOL_CRC(sas_port_delete, 0x7034587b, "");
SYMBOL_CRC(scsi_is_sas_port, 0x13392900, "");
SYMBOL_CRC(sas_port_get_phy, 0x9484cf88, "");
SYMBOL_CRC(sas_port_add_phy, 0x1522f711, "");
SYMBOL_CRC(sas_port_delete_phy, 0xeeda1ec5, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x71247243, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x9159bd32, "");
SYMBOL_CRC(sas_end_device_alloc, 0x204ab179, "");
SYMBOL_CRC(sas_expander_alloc, 0x21e16576, "");
SYMBOL_CRC(sas_rphy_add, 0xff202483, "");
SYMBOL_CRC(sas_rphy_free, 0x184f870f, "");
SYMBOL_CRC(sas_rphy_delete, 0xc1b3713d, "");
SYMBOL_CRC(sas_rphy_unlink, 0xd537d06c, "");
SYMBOL_CRC(sas_rphy_remove, 0xf9ce13e9, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x18af5445, "");
SYMBOL_CRC(sas_attach_transport, 0x2a4e0d96, "");
SYMBOL_CRC(sas_release_transport, 0x35ce79ef, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x3d89eb70, "device_for_each_child" },
	{ 0x7bb0fa36, "scsi_remove_host" },
	{ 0x417c1a4e, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xd9f3c59b, "device_add" },
	{ 0x49fdd791, "transport_add_device" },
	{ 0x5ef2badb, "transport_configure_device" },
	{ 0x43cb79f0, "device_del" },
	{ 0x34fda82b, "transport_destroy_device" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xd4b41f9e, "get_device" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xee723cf5, "sysfs_remove_link" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x37fe0baa, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0x32336915, "scsi_scan_target" },
	{ 0xd4cc5211, "bsg_setup_queue" },
	{ 0x98de1c15, "snprintf" },
	{ 0x7b546d13, "bsg_remove_queue" },
	{ 0xf68b69bb, "transport_remove_device" },
	{ 0x61ecae92, "scsi_remove_target" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x85abc85f, "strncmp" },
	{ 0x6d06b04d, "transport_class_register" },
	{ 0xb6aee41c, "transport_class_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xec1b8474, "kmalloc_caches" },
	{ 0x7e303fdf, "__kmalloc_cache_noprof" },
	{ 0x59119cb3, "attribute_container_register" },
	{ 0xa542ee34, "_dev_printk" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xba341a79, "attribute_container_unregister" },
	{ 0x26230ca, "scsi_get_vpd_page" },
	{ 0xd34a5540, "scsi_mode_sense" },
	{ 0xa8d2524e, "scsi_is_host_device" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xe14d12b0, "_dev_warn" },
	{ 0x60525565, "bsg_job_done" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xc7f0fbc3, "dma_opt_mapping_size" },
	{ 0x6f7d5d1f, "device_initialize" },
	{ 0xa2f280e, "dev_set_name" },
	{ 0x6343a54c, "transport_setup_device" },
	{ 0x37033dbd, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "7AB009310B47B7741CE38B8");

MODULE_INFO(suserelease, "SLFO-1.2");
