#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(spmi_device_add, "_gpl", "");
KSYMTAB_FUNC(spmi_device_remove, "_gpl", "");
KSYMTAB_FUNC(spmi_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_readl, "_gpl", "");
KSYMTAB_FUNC(spmi_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_register_zero_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_writel, "_gpl", "");
KSYMTAB_FUNC(spmi_command_reset, "_gpl", "");
KSYMTAB_FUNC(spmi_command_sleep, "_gpl", "");
KSYMTAB_FUNC(spmi_command_wakeup, "_gpl", "");
KSYMTAB_FUNC(spmi_command_shutdown, "_gpl", "");
KSYMTAB_FUNC(spmi_find_device_by_of_node, "_gpl", "");
KSYMTAB_FUNC(spmi_device_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_add, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_remove, "_gpl", "");
KSYMTAB_FUNC(__spmi_driver_register, "_gpl", "");

SYMBOL_CRC(spmi_device_add, 0x82af9950, "_gpl");
SYMBOL_CRC(spmi_device_remove, 0xad7668be, "_gpl");
SYMBOL_CRC(spmi_register_read, 0xa6739fcb, "_gpl");
SYMBOL_CRC(spmi_ext_register_read, 0xe2616275, "_gpl");
SYMBOL_CRC(spmi_ext_register_readl, 0xdcd0f403, "_gpl");
SYMBOL_CRC(spmi_register_write, 0x974238b4, "_gpl");
SYMBOL_CRC(spmi_register_zero_write, 0x98b661f4, "_gpl");
SYMBOL_CRC(spmi_ext_register_write, 0x48b784e2, "_gpl");
SYMBOL_CRC(spmi_ext_register_writel, 0x686d4892, "_gpl");
SYMBOL_CRC(spmi_command_reset, 0x9fe6533e, "_gpl");
SYMBOL_CRC(spmi_command_sleep, 0x07d062ab, "_gpl");
SYMBOL_CRC(spmi_command_wakeup, 0x1b8acf0e, "_gpl");
SYMBOL_CRC(spmi_command_shutdown, 0x4c3d52ac, "_gpl");
SYMBOL_CRC(spmi_find_device_by_of_node, 0xa3eb6ee4, "_gpl");
SYMBOL_CRC(spmi_device_alloc, 0xdfa00cba, "_gpl");
SYMBOL_CRC(spmi_controller_alloc, 0x71d47838, "_gpl");
SYMBOL_CRC(spmi_controller_add, 0x8daacf9b, "_gpl");
SYMBOL_CRC(spmi_controller_remove, 0x70cac84b, "_gpl");
SYMBOL_CRC(__spmi_driver_register, 0x507e83a2, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xe1bd245c, "perf_trace_run_bpf_submit" },
	{ 0x236c8c64, "memcpy" },
	{ 0x25dc9854, "trace_event_buffer_reserve" },
	{ 0x2500ffb4, "trace_event_buffer_commit" },
	{ 0x5310c6c6, "__trace_trigger_soft_disabled" },
	{ 0xa4625792, "trace_raw_output_prep" },
	{ 0xd9a1aada, "trace_event_printf" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x113c6887, "bpf_trace_run5" },
	{ 0x1262e822, "bpf_trace_run4" },
	{ 0xdafc8bec, "bpf_trace_run3" },
	{ 0x3e75aaec, "bpf_trace_run6" },
	{ 0xa2f280e, "dev_set_name" },
	{ 0xd9f3c59b, "device_add" },
	{ 0xfe1c41b8, "__dynamic_dev_dbg" },
	{ 0x4fca1f04, "_dev_err" },
	{ 0x87ab6aae, "device_unregister" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x85abc85f, "strncmp" },
	{ 0x80da4862, "device_match_of_node" },
	{ 0x785b082a, "bus_find_device" },
	{ 0x4be12e2c, "driver_register" },
	{ 0x952a2810, "bus_unregister" },
	{ 0xe432ed9d, "bus_register" },
	{ 0x3d89eb70, "device_for_each_child" },
	{ 0x43cb79f0, "device_del" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x6f7d5d1f, "device_initialize" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x417c1a4e, "put_device" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xec1b8474, "kmalloc_caches" },
	{ 0x7e303fdf, "__kmalloc_cache_noprof" },
	{ 0xb75a098d, "trace_event_reg" },
	{ 0x4258f952, "trace_event_raw_init" },
	{ 0x37033dbd, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "80B69A454CBB5BE89C9F31C");

MODULE_INFO(suserelease, "SLFO-1.2");
