#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0x92806bc0, "");
SYMBOL_CRC(is_hsr_master, 0x2ff6d683, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbe123fae, "dev_set_mtu" },
	{ 0x9dfe8c2d, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x86c05a7b, "eth_header" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe65cc01f, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe42919, "netdev_update_features" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x54aa2a52, "rtnl_link_register" },
	{ 0xd3b06fe9, "genlmsg_put" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0xc8dde3a4, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x28c13941, "dev_set_promiscuity" },
	{ 0xd954073b, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x31b170c7, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf1957df9, "unregister_netdevice_queue" },
	{ 0x76d2444a, "netlink_ack" },
	{ 0xf493941a, "__pskb_copy_fclone" },
	{ 0x7fece750, "dev_uc_unsync" },
	{ 0xdc6eb790, "ether_setup" },
	{ 0x3472ccae, "netlink_broadcast_filtered" },
	{ 0x7029b8e0, "netdev_err" },
	{ 0x2f710aef, "netdev_upper_dev_link" },
	{ 0xf4124519, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6d4cb969, "netdev_rx_handler_unregister" },
	{ 0x9e1d05, "eth_header_parse" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x4edc24f7, "__alloc_skb" },
	{ 0x77f6cf70, "skb_copy_expand" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xc61bbfb7, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x12a0bba1, "rtnl_link_unregister" },
	{ 0x833d56d6, "init_net" },
	{ 0xed07274f, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe90c9af0, "sk_skb_reason_drop" },
	{ 0x830dd751, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf6ae96d3, "dev_get_by_index_rcu" },
	{ 0x7b21c526, "netdev_printk" },
	{ 0x42b008a6, "skb_push" },
	{ 0x11bce682, "debugfs_remove" },
	{ 0xc3dbbdfc, "netdev_upper_dev_unlink" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2d721aa2, "netdev_set_operstate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x43c38426, "__pskb_pull_tail" },
	{ 0xeaeb190b, "netif_rx" },
	{ 0xe728fed7, "__netdev_alloc_skb" },
	{ 0x1c255490, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x8a52f263, "seq_read" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xd392d195, "debugfs_rename" },
	{ 0xa11a38e3, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb440bec4, "call_netdevice_notifiers" },
	{ 0x7d2ca3e4, "dev_set_allmulti" },
	{ 0x6ef04a52, "seq_write" },
	{ 0x7e303fdf, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x12635ec1, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xfca90975, "seq_printf" },
	{ 0xfcc08642, "skb_clone" },
	{ 0xcfc9b4b6, "netif_carrier_on" },
	{ 0x67a19197, "debugfs_create_file_full" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xf85b00a7, "netdev_rx_handler_register" },
	{ 0xe1e78b19, "single_release" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x8f593016, "genl_unregister_family" },
	{ 0x8fdfef02, "dev_disable_lro" },
	{ 0xf2bc3586, "dev_kfree_skb_any_reason" },
	{ 0x193219c9, "single_open" },
	{ 0x698ccffd, "debugfs_create_dir" },
	{ 0xb67233d4, "dev_mc_unsync" },
	{ 0x9832e694, "genl_register_family" },
	{ 0xc9e8a8fd, "netdev_core_stats_inc" },
	{ 0xec1b8474, "kmalloc_caches" },
	{ 0x5ac49c73, "netdev_info" },
	{ 0x58584b81, "dev_mc_sync_multiple" },
	{ 0x23ba5600, "register_netdevice" },
	{ 0x37033dbd, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5B15E0DF43FF2B199964276");

MODULE_INFO(suserelease, "SLFO-1.2");
